Subject: iSCSI: Security (SRP)

From: "Lee Xing" <[email-masked]>
Date: Fri, 14 Dec 2001 15:03:44 -0600

Hi,

I got a question on iSCSI security-SRP, and would appreciate it if someone could help.

Based on iSCSI v.09, several key=value pairs are used to exchange SRP parameters and keys.  Such as:

SRP_N=<N>
SRP_g=<g>
SRP_s=<s>
SRP_A=<A>
SRP_B=<B>
SRP_M=<M>
SRP_HM=<HM>

The question is what types of data formats should be used for each key=value pair?  Should decimal, hex, base64 or something else be used?  It seems iSCSI v.09 or RTF2945 don't specify it.

Thanks.

Lee Xing
Crossroads Systems, Inc.

---

From: "Ofer Biran" <[email-masked]>
Date: Wed, 19 Dec 2001 12:16:41 +0200

Lee,

Appendix A. iSCSI Security and Integrity
...
02 Authentication
...
Where U, N, g, s, A, B, M and H(A | M | K) are defined in [RFC2945]
(using the SHA1 hash function, i.e., SRP-SHA1).
U is a text string, N,g,s,A,B,M and H(A | M | K) are binary items and
their binary length (not the encoded length) MUST not exceed 1024

And on Section 3.10.4 Text :

Character strings are represented as plain text. Binary items can be
encoded using their decimal representation (with or without leading
zeros) or hexadecimal representation (e.g., 8190 is 0x1ffe).  Upper
and lower case letters may be used interchangeably in hexadecimal
notation (i.e., 0x1aBc, 0x1AbC, 0X1aBc and 0x1ABC are equivalent).
Binary items can also be encoded using the more compact Base64
encoding as specified by [RFC2045] preceded by the 0b.

Regards,
   Ofer

Ofer Biran
Storage and Systems Technology
IBM Research Lab in Haifa
[email-masked]  972-4-8296253

"Lee Xing" <[email-masked]>@ece.cmu.edu on 14/12/2001 23:03:44

Sent by:  [email-masked]

To:   <[email-masked]>
cc:
Subject:  iSCSI: Security (SRP)

Hi,

I got a question on iSCSI security-SRP, and would appreciate it if someone
could help.

Based on iSCSI v.09, several key=value pairs are used to exchange SRP
parameters and keys.  Such as:

SRP_N=<N>
SRP_g=<g>
SRP_s=<s>
SRP_A=<A>
SRP_B=<B>
SRP_M=<M>
SRP_HM=<HM>

The question is what types of data formats should be used for each
key=value pair?  Should decimal, hex, base64 or something else be used?  It
seems iSCSI v.09 or RTF2945 don't specify it.

Thanks.

Lee Xing
Crossroads Systems, Inc.

---

From: "Lee Xing" <[email-masked]>
Date: Wed, 19 Dec 2001 10:29:22 -0600

Ofer,

Should we specify which encoding method to use?  It seems Base64 is probably better for this.

Thanks.

Lee

-----Original Message-----
From: Ofer Biran [mailto:[email-masked]]
Sent: Wednesday, December 19, 2001 4:17 AM
To: Lee Xing
Cc: [email-masked]
Subject: Re: iSCSI: Security (SRP)

Lee,

Regards,
   Ofer

Ofer Biran

To:   <[email-masked]>
cc:

Hi,

SRP_N=<N>
SRP_g=<g>
SRP_s=<s>
SRP_A=<A>
SRP_B=<B>
SRP_M=<M>
SRP_HM=<HM>

Thanks.

Lee Xing
Crossroads Systems, Inc.

---

From: Dean Scoville <[email-masked]>
Date: Wed, 19 Dec 2001 08:40:50 -0800

Just curious... Why are we so flexible in our encoding? Does anyone plan to
send their binary login parameters as encoded Base64 values? Decimal values
are all I've ever seen used up to this point.
-Dean

-----Original Message-----
From: Ofer Biran [mailto:[email-masked]]
Sent: Wednesday, December 19, 2001 2:17 AM
To: Lee Xing
Cc: [email-masked]
Subject: Re: iSCSI: Security (SRP)

Lee,

Regards,
   Ofer

Ofer Biran

To:   <[email-masked]>
cc:

Hi,

SRP_N=<N>
SRP_g=<g>
SRP_s=<s>
SRP_A=<A>
SRP_B=<B>
SRP_M=<M>
SRP_HM=<HM>

Thanks.

Lee Xing
Crossroads Systems, Inc.